org.apache.sling.validation.impl

## Class ValidationResourceVisitor

- java.lang.Object
- - org.apache.sling.api.resource.AbstractResourceVisitor
  - - org.apache.sling.validation.impl.ValidationResourceVisitor

    public class ValidationResourceVisitor
    extends org.apache.sling.api.resource.AbstractResourceVisitor

### Constructor Summary

Constructors
Constructor and Description
`ValidationResourceVisitor(ValidationServiceImpl validationService, String rootResourcePath, boolean enforceValidation, Predicate<org.apache.sling.api.resource.Resource> filter, boolean considerResourceSuperTypeModels)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompositeValidationResult` `getResult()`
`protected void` `visit(org.apache.sling.api.resource.Resource resource)`

### Methods inherited from class org.apache.sling.api.resource.AbstractResourceVisitor

`accept, traverseChildren`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidationResourceVisitor

    public ValidationResourceVisitor(ValidationServiceImpl validationService,
                                     String rootResourcePath,
                                     boolean enforceValidation,
                                     Predicate<org.apache.sling.api.resource.Resource> filter,
                                     boolean considerResourceSuperTypeModels)

### Method Detail

#### visit

    protected void visit(org.apache.sling.api.resource.Resource resource)

Specified by:
  `visit` in class `org.apache.sling.api.resource.AbstractResourceVisitor`

#### getResult

    @Nonnull
    public CompositeValidationResult getResult()